Module java.desktop
Package javax.print.attribute.standard

## Class Compression

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - javax.print.attribute.standard.Compression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `DocAttribute`

    public class Compression
    extends EnumSyntax
    implements DocAttribute

Class `Compression` is a printing attribute class, an enumeration, that specifies how print data is compressed. `Compression` is an attribute of the print data (the doc), not of the Print Job. If a `Compression` attribute is not specified for a doc, the printer assumes the doc's print data is uncompressed (i.e., the default Compression value is always `NONE`).

IPP Compatibility: The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

See Also:
  Serialized Form

### Field Summary

Fields
`static Compression` `COMPRESS` UNIX compression technology.
`static Compression` `DEFLATE` ZIP public domain inflate/deflate compression technology.
`static Compression` `GZIP` GNU zip compression technology described in RFC 1952.
`static Compression` `NONE` No compression is used.

### Constructor Summary

Constructors
`protected` `Compression​(int value)` Construct a new compression enumeration value with the given integer value.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`protected EnumSyntax[]` `getEnumValueTable()` Returns the enumeration value table for class `Compression`.
`String` `getName()` Get the name of the category of which this attribute value is an instance.
`protected String[]` `getStringTable()` Returns the string table for class `Compression`.

### Methods declared in class javax.print.attribute.EnumSyntax

`clone, getOffset, getValue, hashCode, readResolve, toString`

### Methods declared in class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final Compression NONE

No compression is used.

#### DEFLATE

    public static final Compression DEFLATE

ZIP public domain inflate/deflate compression technology.

#### GZIP

    public static final Compression GZIP

GNU zip compression technology described in RFC 1952.

#### COMPRESS

    public static final Compression COMPRESS

UNIX compression technology.

### Constructor Detail

#### Compression

    protected Compression​(int value)

Construct a new compression enumeration value with the given integer value.

Parameters:
  `value` - Integer value

### Method Detail

#### getStringTable

    protected String[] getStringTable()

Returns the string table for class `Compression`.

Overrides:
  `getStringTable` in class `EnumSyntax`
Returns:
  the string table

#### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()

Returns the enumeration value table for class `Compression`.

Overrides:
  `getEnumValueTable` in class `EnumSyntax`
Returns:
  the value table

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class `Compression` and any vendor-defined subclasses, the category is class `Compression` itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  printing attribute class (category), an instance of class `java.lang.Class`

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class `Compression` and any vendor-defined subclasses, the category name is `"compression"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  attribute category name